Bug 121870 - xcdroast / cdrecord does not find my burner
Summary: xcdroast / cdrecord does not find my burner
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-28 19:19 UTC by Bob Gustafson
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 07:50:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Text output of xcdroast with problem (2.14 KB, text/plain)
2004-04-28 19:23 UTC, Bob Gustafson
no flags Details
cdrecord output - finds burner - works fine (2.64 KB, text/plain)
2004-04-28 19:28 UTC, Bob Gustafson
no flags Details

Description Bob Gustafson 2004-04-28 19:19:26 UTC
Description of problem:

The underlying cdrecord software does not find my CD burner hardware.

Version-Release number of selected component (if applicable):

[root@hoho2 user1]# cdrecord -version
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
[root@hoho2 user1]#


How reproducible:

Always. Hardware and gcombust works fine under RH9. See dumps of RH9
output and FC2-test3 text output

Steps to Reproduce:
1.System Tools -> CD writer (bottom icon)
2.enter root password when requested
3.try to burn a copy of FC2-test3-disc1.iso
  
Actual results:

zit - see output listing

Expected results:

Burned CD


Additional info:

see attachments

This has been a problem with FC versions so far. Maybe related to use
of udev ?

Comment 1 Bob Gustafson 2004-04-28 19:23:38 UTC
Created attachment 99751 [details]
Text output of xcdroast with problem

This was a cut/paste from xcdroast windows

See next attachment for similar output from gcombust on RH9 - works fine.

Comment 2 Bob Gustafson 2004-04-28 19:28:48 UTC
Created attachment 99753 [details]
cdrecord output - finds burner - works fine

Cut/paste from terminal and gcombust windows.

Finds burner on scsibus2 - 2,0,0

Hardware is identical to Fedora test. Only the hard disks are swapped.

Comment 3 Harald Hoyer 2004-05-06 10:20:00 UTC
is this a IDE burner? if yes, try dev=ATAPI:0,0,0 or 
# cdrecord -scanbus dev=ATAPI

Comment 4 Bob Gustafson 2004-05-08 09:40:10 UTC
[root@hoho2 user1]# setenforce 0
[root@hoho2 user1]# cdrecord -scanbus dev=ATAPI
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: 'ATAPI'
devname: 'ATAPI'
scsibus: -2 target: -2 lun: -2
Warning: Using ATA Packet interface.
Warning: The related libscg interface code is in pre alpha.
Warning: There may be fatal problems.
Using libscg version 'schily-0.8'.
scsibus0:
        0,0,0     0) 'TOSHIBA ' 'DVD-ROM SD-R1312' '1010' Removable CD-ROM
        0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *
[root@hoho2 user1]#

When I ran 'gcombust', the initial device setting on the Burn window
came up as 0,6,0. When I clicked the 'Check SCSI Settings' button, the
dialog came back saying that it failed to recognize the drive.

Changing the settings to 0,0,0 and again clicking on 'Check SCSI
Settings' button gave the same result.

My system is uptodate (at the moment).

[root@hoho2 user1]# cat /proc/version
Linux version 2.6.5-1.351smp (bhcompile@perf87.perf.redhat.com) (gcc
version 3.3.3 20040412 (Red Hat Linux 3.3.3-7)) #1 SMP Wed May 5
10:55:10 EDT 2004
[root@hoho2 user1]#






Comment 5 Harald Hoyer 2004-05-10 07:50:12 UTC
Try to use software that can cope with the new cdrecord syntax and
kernel 2.6... gcombust, gtoaster is not part of FC2


Note You need to log in before you can comment on or make changes to this bug.